Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185473 - nautilus locks up occasionally after normal use
Summary: nautilus locks up occasionally after normal use
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2006-03-14 23:45 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-01 15:27:06 UTC


Attachments (Terms of Use)

Description Ray Strode [halfline] 2006-03-14 23:45:56 UTC
Once in a while nautilus crashes for Heather at her desk.

We got a stack trace today:

#0  0x007dc402 in ?? ()
#1  0x00a279fe in __lll_mutex_lock_wait () from /lib/libc.so.6
#2  0x009b8cd4 in _L_mutex_lock_9734 () from /lib/libc.so.6
#3  0x009a72a1 in _IO_getline_internal () from /lib/libc.so.6
#4  0x043c0171 in _gnome_vfs_xdg_parent_read_from_file (list=0x8df06e0,
    file_name=0xfffffffc <Address 0xfffffffc out of bounds>)
    at xdgmimeparent.c:168
#5  0x043befe3 in xdg_mime_init_from_directory (
    directory=0x8f86488 "/usr/share/") at xdgmime.c:166
#6  0x043be5f4 in xdg_run_command_on_dirs (
    func=0x43bed45 <xdg_mime_init_from_directory>, user_data=0x0)
    at xdgmime.c:238
#7  0x043be7a3 in xdg_mime_init () at xdgmime.c:383
#8  0x043be864 in _gnome_vfs_xdg_unalias_mime_type (
---Type <return> to continue, or q <return> to quit---
    mime_type=0x912b628 "x-directory/normal") at xdgmime.c:540
#9  0x043a5435 in get_entry (mime_type=Variable "mime_type" is not available.
) at gnome-vfs-mime-info.c:494
#10 0x043a585b in gnome_vfs_mime_get_value (
    mime_type=0x912b628 "x-directory/normal", key=0x43c2fed "icon_filename")
    at gnome-vfs-mime-info.c:557
#11 0x043a2955 in gnome_vfs_mime_get_icon (
    mime_type=0xfffffffc <Address 0xfffffffc out of bounds>)
    at gnome-vfs-mime-handlers.c:241
#12 0x031be573 in gnome_icon_lookup () from /usr/lib/libgnomeui-2.so.0
#13 0x032f189d in nautilus_icon_factory_get_icon_for_file (file=0x8f24700,
    embedd_text=0) at nautilus-icon-factory.c:869
#14 0x0808ca12 in nautilus_window_update_icon (window=0x8c72cf8)
    at nautilus-window.c:1101
#15 0x0808715c in load_new_location (window=0x8c72cf8,
---Type <return> to continue, or q <return> to quit---
    location=0x9507b10 "file:///home/boston/hbrodeur", selection=0x0,
    tell_current_content_view=0, tell_new_content_view=1)
    at nautilus-window-manage-views.c:140
#16 0x08088dc3 in create_content_view (window=0x8c72cf8,
    view_id=0x8f26de0 "OAFIID:Nautilus_File_Manager_Icon_View")
    at nautilus-window-manage-views.c:1000
#17 0x0808915e in got_file_info_for_view_selection_callback (file=0x8c64990,
    callback_data=0x8c72cf8) at nautilus-window-manage-views.c:889
#18 0x032bb3b7 in ready_callback_call (directory=0x8c64780, callback=0x8b4e8b8)
    at nautilus-directory-async.c:1262
#19 0x032bc98e in nautilus_directory_async_state_changed (directory=0x8c64780)
    at nautilus-directory-async.c:1895
#20 0x032bd512 in link_info_done (directory=0x8c64780, file=0x8c64990,
    uri=0x0, name=0xfffffffc <Address 0xfffffffc out of bounds>,
---Type <return> to continue, or q <return> to quit---
    icon=0xfffffffc <Address 0xfffffffc out of bounds>, drive_id=0,
    volume_id=0) at nautilus-directory-async.c:2946
#21 0x032bd62b in lacks_link_info (file=0x8c64990)
    at nautilus-directory-async.c:1761
#22 0x032bb791 in has_problem (directory=Variable "directory" is not available.
) at nautilus-directory-async.c:1793
#23 0x032bb863 in request_is_satisfied (directory=0x8c64780, file=0x8c64990,
    request=0xbf8aaa64) at nautilus-directory-async.c:1856
#24 0x032bb993 in nautilus_directory_check_if_ready_internal (
    directory=0x8c64780, file=0x8c64990, file_attributes=4294967292)
    at nautilus-directory-async.c:1357
#25 0x03301f2e in vfs_file_check_if_ready (file=0xa75ff4,
    file_attributes=4294967292) at nautilus-vfs-file.c:85
#26 0x032d764e in nautilus_file_check_if_ready (file=0x8c64990,
    file_attributes=10969076) at nautilus-file.c:5473
---Type <return> to continue, or q <return> to quit---
#27 0x032f19d6 in nautilus_icon_factory_is_icon_ready_for_file (
    file=0xfffffffc) at nautilus-icon-factory.c:928
#28 0x032b21eb in nautilus_bookmark_update_icon (bookmark=0x8fda5d0)
    at nautilus-bookmark.c:310
#29 0x032b2982 in bookmark_file_changed_callback (file=0x8c64990,
    bookmark=0x8fda5d0) at nautilus-bookmark.c:356
#30 0x00c437e7 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#31 0x00c38285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#32 0x00c4675b in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#33 0x00c47eb0 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#34 0x00c48223 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#35 0x032d7e28 in nautilus_file_emit_changed (file=0x8c64990)
    at nautilus-file.c:5403
---Type <return> to continue, or q <return> to quit---
#36 0x032c363b in nautilus_directory_emit_change_signals (
    directory=0xfffffffc, changed_files=0xbf8ab014) at nautilus-directory.c:753
#37 0x032d7f2c in nautilus_file_changed (file=0x8c64990)
    at nautilus-file.c:5349
#38 0x032be2eb in get_info_callback (handle=0x1b2, results=0x8f85bac,
    callback_data=0xfffffffc) at nautilus-directory-async.c:2812
#39 0x043a1fc6 in dispatch_job_callback (data=0xb7a1d5a0)
    at gnome-vfs-job.c:229
#40 0x00bca730 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#41 0x00bc84ce in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#42 0x00bcb4d6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#43 0x00bcb7c3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#44 0x0023ea46 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x08078238 in main (argc=10969076, argv=0xbf8ab4f4) at nautilus-main.c:432


It looks pretty fishy though.  There have been a number of xdgmime fixes since
FC4 came out.  We might want to look into pushing an update if we haven't already.

nautilus-2.10.0-4
gnome-vfs2-2.10.0-5

Comment 1 Alexander Larsson 2006-09-01 15:27:06 UTC
This is the old mime locking bug, fixed in gnome-vf 2.12.x.


Note You need to log in before you can comment on or make changes to this bug.